| Home | Libraries | People | FAQ | More

## Struct template unary_plus

boost::proto::unary_plus — A metafunction for generating unary plus expression types, a grammar element for matching unary plus expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T>
    struct unary_plus :  proto::transform< unary_plus<T> > {
      // types
      typedef proto::expr< proto::tag::unary_plus, proto::list1< T > >       type;
      typedef proto::basic_expr< proto::tag::unary_plus, proto::list1< T > > proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<unary_plus>::template impl<Expr, State, Data>
      {
      };
    };

## Description